#
# /etc/cumulus/switchd.conf - switchd configuration file
#

# Statistic poll interval (in msec)
#stats.poll_interval = 2000

# Buffer utilization poll interval (in msec), 0 means disable
#buf_util.poll_interval = 0

# Buffer utilization measurement interval (in mins)
#buf_util.measure_interval = 0

# Optimize ACL HW resources for better utilization
#acl.optimize_hw = FALSE

# Enable Flow based mirroring.
#acl.flow_based_mirroring = TRUE

# Enable non atomic acl update
{% if cumulus_non_atomic_update %}
acl.non_atomic_update_mode = TRUE
{% else %}
acl.non_atomic_update_mode = FALSE
{% endif %}

# Send ARPs for next hops
#arp.next_hops = TRUE

# Kernel routing table ID, range 1 - 2^31, default 254
#route.table = 254

# Maximum hardware neighbor table occupancy (percent of hardware table size)
#route.host_max_percent = 100

# Coalescing reduction factor for accumulating changes to reduce CPU load
#coalescing.reducer = 1

# Coalescing time limit, in seconds
#coalescing.timeout = 10

# Ignore routes that point to non-swp interfaces
ignore_non_swps = TRUE

# Disables restart after parity error
#disable_internal_parity_restart = TRUE

# Disables restart after an unrecoverable hardware error
#disable_internal_hw_err_restart = FALSE

# Log messages using the given BACKEND=LEVEL,
# space separate multiple BACKEND=LEVEL pairs.
# BACKEND := {stderr, file:filename, syslog, program:executable},
# LEVEL := {CRIT, ERR, WARN, INFO, DEBUG}
# Prior to Cumulus Linux 2.5.4, file:/var/log/switchd.log=INFO was the default
logging = syslog=INFO

# Storm Control setting on a port, in pps, 0 means disable
#interface.swp1.storm_control.broadcast = 400
#interface.swp1.storm_control.multicast = 3000

# Maximum route limit
#route.max_routes = 32768

# Enable HW statistics
# level specifies type of stats needed per-hw resource type.
# LEVEL := {NONE, BRIEF, DETAIL}
#stats.vlan.aggregate = BRIEF
#stats.vxlan.aggregate = DETAIL
#stats.vxlan.member = BRIEF

#stats.vlan.show_internal_vlans = FALSE

# Virtual devices hw-stat poll interval (in seconds)
#stats.vdev_hw_poll_interval = 5

# Internal VLAN range
# minimum range size is 300
#resv_vlan_range = 3000-3999

# Netlink
# netlink socket buf size (90 * 1024 * 1024 = 90MB)
#netlink.buf_size=94371840

# delete routes on interfaces when carrier is down
#route.delete_dead_routes = TRUE

# default TTL to use in vxlan header
#vxlan.default_ttl = 64

# bridge broadcast frame to cpu even if SVI is not enabled
#bridge.broadcast_frame_to_cpu = FALSE

#netlink libnl logger [0-5]
#netlink.nl_logger = 0

# router mac lookup per vlan
#hal.bcm.per_vlan_router_mac_lookup = FALSE

# vrrp vmac lookup per vlan
#hal.bcm.l3.per_vlan_router_mac_lookup_for_vrrp = FALSE

#IGMP snooping optimized multicast forwarding
#bridge.optimized_mcast_flood = FALSE

# default vxlan outer dscp action during encap
# {copy | set | derive}
# copy: only if inner packet is IP
# set: to specific value
# derive: from switch priority
#vxlan.def_encap_dscp_action = derive

# default vxlan encap dscp value, only applicable if action is 'set'
#vxlan.def_encap_dscp_value =

# default vxlan decap dscp/cos action
# {copy | preserve | derive}
# copy: only if inner packet is IP
# preserve: inner dscp unchanged
# derive: from switch priority
#vxlan.def_decap_dscp_action = derive

# Enable send unknown ipmc to CPU
#ipmulticast.unknown_ipmc_to_cpu = FALSE

#enable ptp time stamping
#ptp.timestamping = FALSE

#static vrf route leak enable
{% if bgp_imports is defined and bgp_imports | length %}
vrf_route_leak_enable = FALSE
vrf_route_leak_enable_dynamic = TRUE
{% else %}
#vrf_route_leak_enable = FALSE
#vrf_route_leak_enable_dynamic = FALSE
{% endif %}

# configure a route instead of a neighbor with the same ip/mask
#route.route_preferred_over_neigh = FALSE

# configure IP based forwarding for L2 Multicast
#bridge.dip_based_l2multicast = FALSE

# vxlan policers; each pair separated by comma
#hal.bcm.vxlan_policers = tunnel_arp=400,tunnel_dhcp_v4=100,tunnel_dhcp_v6=100,tunnel_ttl1=100,tunnel_rs=300,tunnel_ra=300,tunnel_ns=300,tunnel_na=300,local_arp=400,local_rs=300,local_ra=300,local_ns=300,local_na=300
